### Class

# EvinceDocument Media

since: 3.0

#### Description

    class EvinceDocument.Media : GObject.Object
    {
      priv: EvMediaPrivate*
    }

No description available.

Available since: 3.0

#### Ancestors

- GObject

#### Constructors

###### ev_media_new_for_uri

No description available.

since: 3.0

#### Instance methods

###### ev_media_get_page_index

No description available.

since: 3.0

###### ev_media_get_show_controls

No description available.

since: 3.0

###### ev_media_get_uri

No description available.

since: 3.0

###### ev_media_set_show_controls

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceDocumentMediaClass {
      GObjectClass base_class;

    }

No description available.

###### Class members

`base_class: GObjectClass`
  No description available.